import { GridScrollParams } from "@mui/x-data-grid-premium";
import { AppState } from "../appState";
export interface NerdDataGridScroll {
    scrollPositions: Record<string, GridScrollParams>;
}
export declare const setNerdDataGridScrollPositions: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    key: string;
    value: GridScrollParams;
}, "nerdDataGridScroll/setNerdDataGridScrollPositions">;
export declare const nerdDataGridScrollReducer: import("redux").Reducer<NerdDataGridScroll>;
export declare const nerdDataGridScrollPositionSelector: ((state: AppState, key: string) => GridScrollParams | undefined) & {
    clearCache: () => void;
    resultsCount: () => number;
    resetResultsCount: () => void;
} & {
    resultFunc: (resultFuncArgs_0: Record<string, GridScrollParams>, resultFuncArgs_1: string) => GridScrollParams | undefined;
    memoizedResultFunc: ((resultFuncArgs_0: Record<string, GridScrollParams>, resultFuncArgs_1: string) => GridScrollParams | undefined) & {
        clearCache: () => void;
        resultsCount: () => number;
        resetResultsCount: () => void;
    };
    lastResult: () => GridScrollParams | undefined;
    dependencies: [(state: AppState) => Record<string, GridScrollParams>, (_state: AppState, key: string) => string];
    recomputations: () => number;
    resetRecomputations: () => void;
    dependencyRecomputations: () => number;
    resetDependencyRecomputations: () => void;
} & {
    memoize: typeof import("reselect").weakMapMemoize;
    argsMemoize: typeof import("reselect").weakMapMemoize;
};
