import { SearchMetadata, SearchPreset_Entity } from "@nerdjs/nerd-core";
import { EntityState } from "@reduxjs/toolkit";
export declare const unityApi: import("@reduxjs/toolkit/query").Api<(args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, {
    getSearchPresets: import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">;
    getSearchPreset: import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">;
    createSearchPreset: import("@reduxjs/toolkit/query").MutationDefinition<Partial<SearchPreset_Entity>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">;
    updateSearchPreset: import("@reduxjs/toolkit/query").MutationDefinition<{
        id: number;
        body: Partial<SearchPreset_Entity>;
    }, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", void, "unityApi">;
    deleteSearchPreset: import("@reduxjs/toolkit/query").MutationDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", void, "unityApi">;
    getSearchPresetSearchMetadata: import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">;
}, "unityApi", "searchPresets", typeof import("@reduxjs/toolkit/query").coreModuleName | typeof import("@reduxjs/toolkit/query/react").reactHooksModuleName>;
export declare const useGetSearchPresetQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(arg: number | typeof import("@reduxjs/toolkit/query").skipToken, options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & {
    skip?: boolean;
    refetchOnMountOrArgChange?: boolean | number;
} & {
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}) | undefined) => [R][R extends any ? 0 : never] & {
    refetch: () => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">>;
}, useGetSearchPresetsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(arg: void | Record<string, unknown> | typeof import("@reduxjs/toolkit/query").skipToken, options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & {
    skip?: boolean;
    refetchOnMountOrArgChange?: boolean | number;
} & {
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}) | undefined) => [R][R extends any ? 0 : never] & {
    refetch: () => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">>;
}, useGetSearchPresetSearchMetadataQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(arg: void | typeof import("@reduxjs/toolkit/query").skipToken, options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & {
    skip?: boolean;
    refetchOnMountOrArgChange?: boolean | number;
} & {
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}) | undefined) => [R][R extends any ? 0 : never] & {
    refetch: () => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">>;
}, useLazyGetSearchPresetsQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
    currentData?: EntityState<SearchPreset_Entity, number> | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & Omit<{
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">> & {
        currentData?: EntityState<SearchPreset_Entity, number> | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}, "skip">) | undefined) => [(arg: void | Record<string, unknown>, preferCacheValue?: boolean) => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">>, [R][R extends any ? 0 : never] & {
    reset: () => void;
}, {
    lastArg: void | Record<string, unknown>;
}], useLazyGetSearchPresetQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
    currentData?: SearchPreset_Entity | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & Omit<{
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">> & {
        currentData?: SearchPreset_Entity | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}, "skip">) | undefined) => [(arg: number, preferCacheValue?: boolean) => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">>, [R][R extends any ? 0 : never] & {
    reset: () => void;
}, {
    lastArg: number;
}], useLazyGetSearchPresetSearchMetadataQuery: <R extends Record<string, any> = import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    originalArgs?: undefined | undefined;
    data?: undefined | undefined;
    error?: undefined | undefined;
    requestId?: undefined | undefined;
    endpointName?: string | undefined;
    startedTimeStamp?: undefined | undefined;
    fulfilledTimeStamp?: undefined | undefined;
} & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "isUninitialized"> & {
    isUninitialized: true;
}) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, {
    isLoading: true;
    isFetching: boolean;
    data: undefined;
} | ({
    isSuccess: true;
    isFetching: true;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp">>) | ({
    isSuccess: true;
    isFetching: false;
    error: undefined;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
    isError: true;
} & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
    currentData?: SearchMetadata | undefined;
    isUninitialized: false;
    isLoading: false;
    isFetching: false;
    isSuccess: false;
    isError: false;
}, "error">>)>> & {
    status: import("@reduxjs/toolkit/query").QueryStatus;
}>(options?: (import("@reduxjs/toolkit/query").SubscriptionOptions & Omit<{
    skip?: boolean;
    selectFromResult?: ((state: import("@reduxjs/toolkit/query").TSHelpersId<(Omit<{
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        originalArgs?: undefined | undefined;
        data?: undefined | undefined;
        error?: undefined | undefined;
        requestId?: undefined | undefined;
        endpointName?: string | undefined;
        startedTimeStamp?: undefined | undefined;
        fulfilledTimeStamp?: undefined | undefined;
    } & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "isUninitialized"> & {
        isUninitialized: true;
    }) | import("@reduxjs/toolkit/query").TSHelpersOverride<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, {
        isLoading: true;
        isFetching: boolean;
        data: undefined;
    } | ({
        isSuccess: true;
        isFetching: true;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp">>) | ({
        isSuccess: true;
        isFetching: false;
        error: undefined;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "data" | "fulfilledTimeStamp" | "currentData">>) | ({
        isError: true;
    } & Required<Pick<import("@reduxjs/toolkit/query").QuerySubState<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">> & {
        currentData?: SearchMetadata | undefined;
        isUninitialized: false;
        isLoading: false;
        isFetching: false;
        isSuccess: false;
        isError: false;
    }, "error">>)>> & {
        status: import("@reduxjs/toolkit/query").QueryStatus;
    }) => R) | undefined;
}, "skip">) | undefined) => [(arg: void, preferCacheValue?: boolean) => import("@reduxjs/toolkit/query").QueryActionCreatorResult<import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">>, [R][R extends any ? 0 : never] & {
    reset: () => void;
}, {
    lastArg: void;
}], useCreateSearchPresetMutation: <R extends Record<string, any> = ({
    requestId?: undefined;
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    data?: undefined;
    error?: undefined;
    endpointName?: string;
    startedTimeStamp?: undefined;
    fulfilledTimeStamp?: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    isUninitialized: true;
    isLoading: false;
    isSuccess: false;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
} & Omit<{
    requestId: string;
    data?: SearchPreset_Entity | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "data" | "fulfilledTimeStamp"> & Required<Pick<{
    requestId: string;
    data?: SearchPreset_Entity | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "data" | "fulfilledTimeStamp">> & {
    error: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
    isUninitialized: false;
    isLoading: false;
    isSuccess: true;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.pending;
} & {
    requestId: string;
    data?: SearchPreset_Entity | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
} & {
    data?: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.pending;
    isUninitialized: false;
    isLoading: true;
    isSuccess: false;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
} & Omit<{
    requestId: string;
    data?: SearchPreset_Entity | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "error"> & Required<Pick<{
    requestId: string;
    data?: SearchPreset_Entity | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "error">> & {
    status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
    isUninitialized: false;
    isLoading: false;
    isSuccess: false;
    isError: true;
})>(options?: {
    selectFromResult?: ((state: ({
        requestId?: undefined;
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        data?: undefined;
        error?: undefined;
        endpointName?: string;
        startedTimeStamp?: undefined;
        fulfilledTimeStamp?: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        isUninitialized: true;
        isLoading: false;
        isSuccess: false;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
    } & Omit<{
        requestId: string;
        data?: SearchPreset_Entity | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "data" | "fulfilledTimeStamp"> & Required<Pick<{
        requestId: string;
        data?: SearchPreset_Entity | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "data" | "fulfilledTimeStamp">> & {
        error: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
        isUninitialized: false;
        isLoading: false;
        isSuccess: true;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.pending;
    } & {
        requestId: string;
        data?: SearchPreset_Entity | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    } & {
        data?: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.pending;
        isUninitialized: false;
        isLoading: true;
        isSuccess: false;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
    } & Omit<{
        requestId: string;
        data?: SearchPreset_Entity | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "error"> & Required<Pick<{
        requestId: string;
        data?: SearchPreset_Entity | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "error">> & {
        status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
        isUninitialized: false;
        isLoading: false;
        isSuccess: false;
        isError: true;
    })) => R) | undefined;
    fixedCacheKey?: string;
} | undefined) => readonly [(arg: Partial<SearchPreset_Entity>) => import("@reduxjs/toolkit/query").MutationActionCreatorResult<import("@reduxjs/toolkit/query").MutationDefinition<Partial<SearchPreset_Entity>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">>, import("@reduxjs/toolkit/query").TSHelpersNoInfer<R> & {
    originalArgs?: Partial<SearchPreset_Entity> | undefined;
    reset: () => void;
}], useDeleteSearchPresetMutation: <R extends Record<string, any> = ({
    requestId?: undefined;
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    data?: undefined;
    error?: undefined;
    endpointName?: string;
    startedTimeStamp?: undefined;
    fulfilledTimeStamp?: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    isUninitialized: true;
    isLoading: false;
    isSuccess: false;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
} & Omit<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "data" | "fulfilledTimeStamp"> & Required<Pick<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "data" | "fulfilledTimeStamp">> & {
    error: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
    isUninitialized: false;
    isLoading: false;
    isSuccess: true;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.pending;
} & {
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
} & {
    data?: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.pending;
    isUninitialized: false;
    isLoading: true;
    isSuccess: false;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
} & Omit<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "error"> & Required<Pick<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "error">> & {
    status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
    isUninitialized: false;
    isLoading: false;
    isSuccess: false;
    isError: true;
})>(options?: {
    selectFromResult?: ((state: ({
        requestId?: undefined;
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        data?: undefined;
        error?: undefined;
        endpointName?: string;
        startedTimeStamp?: undefined;
        fulfilledTimeStamp?: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        isUninitialized: true;
        isLoading: false;
        isSuccess: false;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
    } & Omit<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "data" | "fulfilledTimeStamp"> & Required<Pick<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "data" | "fulfilledTimeStamp">> & {
        error: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
        isUninitialized: false;
        isLoading: false;
        isSuccess: true;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.pending;
    } & {
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    } & {
        data?: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.pending;
        isUninitialized: false;
        isLoading: true;
        isSuccess: false;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
    } & Omit<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "error"> & Required<Pick<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "error">> & {
        status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
        isUninitialized: false;
        isLoading: false;
        isSuccess: false;
        isError: true;
    })) => R) | undefined;
    fixedCacheKey?: string;
} | undefined) => readonly [(arg: number) => import("@reduxjs/toolkit/query").MutationActionCreatorResult<import("@reduxjs/toolkit/query").MutationDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", void, "unityApi">>, import("@reduxjs/toolkit/query").TSHelpersNoInfer<R> & {
    originalArgs?: number | undefined;
    reset: () => void;
}], useUpdateSearchPresetMutation: <R extends Record<string, any> = ({
    requestId?: undefined;
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    data?: undefined;
    error?: undefined;
    endpointName?: string;
    startedTimeStamp?: undefined;
    fulfilledTimeStamp?: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
    isUninitialized: true;
    isLoading: false;
    isSuccess: false;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
} & Omit<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "data" | "fulfilledTimeStamp"> & Required<Pick<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "data" | "fulfilledTimeStamp">> & {
    error: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
    isUninitialized: false;
    isLoading: false;
    isSuccess: true;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.pending;
} & {
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
} & {
    data?: undefined;
} & {
    status: import("@reduxjs/toolkit/query").QueryStatus.pending;
    isUninitialized: false;
    isLoading: true;
    isSuccess: false;
    isError: false;
}) | ({
    status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
} & Omit<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "error"> & Required<Pick<{
    requestId: string;
    data?: void | undefined;
    error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
    endpointName: string;
    startedTimeStamp: number;
    fulfilledTimeStamp?: number;
}, "error">> & {
    status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
    isUninitialized: false;
    isLoading: false;
    isSuccess: false;
    isError: true;
})>(options?: {
    selectFromResult?: ((state: ({
        requestId?: undefined;
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        data?: undefined;
        error?: undefined;
        endpointName?: string;
        startedTimeStamp?: undefined;
        fulfilledTimeStamp?: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.uninitialized;
        isUninitialized: true;
        isLoading: false;
        isSuccess: false;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
    } & Omit<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "data" | "fulfilledTimeStamp"> & Required<Pick<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "data" | "fulfilledTimeStamp">> & {
        error: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.fulfilled;
        isUninitialized: false;
        isLoading: false;
        isSuccess: true;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.pending;
    } & {
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    } & {
        data?: undefined;
    } & {
        status: import("@reduxjs/toolkit/query").QueryStatus.pending;
        isUninitialized: false;
        isLoading: true;
        isSuccess: false;
        isError: false;
    }) | ({
        status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
    } & Omit<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "error"> & Required<Pick<{
        requestId: string;
        data?: void | undefined;
        error?: import("@reduxjs/toolkit/query").FetchBaseQueryError | import("@reduxjs/toolkit").SerializedError | undefined;
        endpointName: string;
        startedTimeStamp: number;
        fulfilledTimeStamp?: number;
    }, "error">> & {
        status: import("@reduxjs/toolkit/query").QueryStatus.rejected;
        isUninitialized: false;
        isLoading: false;
        isSuccess: false;
        isError: true;
    })) => R) | undefined;
    fixedCacheKey?: string;
} | undefined) => readonly [(arg: {
    id: number;
    body: Partial<SearchPreset_Entity>;
}) => import("@reduxjs/toolkit/query").MutationActionCreatorResult<import("@reduxjs/toolkit/query").MutationDefinition<{
    id: number;
    body: Partial<SearchPreset_Entity>;
}, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", void, "unityApi">>, import("@reduxjs/toolkit/query").TSHelpersNoInfer<R> & {
    originalArgs?: {
        id: number;
        body: Partial<SearchPreset_Entity>;
    } | undefined;
    reset: () => void;
}];
export declare const getSearchPresetsSelectors: (params: Record<string, unknown> | void) => import("@reduxjs/toolkit").EntitySelectors<SearchPreset_Entity, {
    unityApi: import("@reduxjs/toolkit/query").CombinedState<{
        getSearchPresets: import("@reduxjs/toolkit/query").QueryDefinition<void | Record<string, unknown>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", EntityState<SearchPreset_Entity, number>, "unityApi">;
        getSearchPreset: import("@reduxjs/toolkit/query").QueryDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">;
        createSearchPreset: import("@reduxjs/toolkit/query").MutationDefinition<Partial<SearchPreset_Entity>, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchPreset_Entity, "unityApi">;
        updateSearchPreset: import("@reduxjs/toolkit/query").MutationDefinition<{
            id: number;
            body: Partial<SearchPreset_Entity>;
        }, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", void, "unityApi">;
        deleteSearchPreset: import("@reduxjs/toolkit/query").MutationDefinition<number, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", void, "unityApi">;
        getSearchPresetSearchMetadata: import("@reduxjs/toolkit/query").QueryDefinition<void, (args: any, api: import("@reduxjs/toolkit/query").BaseQueryApi) => import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}> | PromiseLike<import("@reduxjs/toolkit/query").QueryReturnValue<unknown, import("@reduxjs/toolkit/query").FetchBaseQueryError, {}>>, "searchPresets", SearchMetadata, "unityApi">;
    }, "searchPresets", "unityApi">;
}, number>;
